petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCoarsenView

Prints the coarsen data structure.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenView(MatCoarsen agg,PetscViewer viewer)

Collective on MatCoarsen

### Input Parameters

| agg | - the coarsen context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open alternative visualization contexts with

PetscViewerASCIIOpen() -output to a specified file

### See Also

PetscViewerASCIIOpen()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c

### Implementations

MatCoarsenView_HEM in src/mat/coarsen/impls/hem/hem.c
MatCoarsenView_MIS in src/mat/coarsen/impls/mis/mis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages